=== debian/changelog ===
theano (1.0.5+dfsg-8) unstable; urgency=medium

  * Tests: ignore triu return dtype,
    re-disable some recently enabled tests, fix typos.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 14 Nov 2022 22:11:42 +0000

theano (1.0.5+dfsg-7) unstable; urgency=medium

  * Tests: fix some incompatibilities with pytest,
    install tests directory, run autopkgtest on installed version.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 13 Nov 2022 19:33:41 +0000

theano (1.0.5+dfsg-6) unstable; urgency=medium

  * Use pytest instead of nose for tests.  (Closes: #1018649)
  * Update Lintian override format (see #1007002).
  * Enable Salsa CI reprotest.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Remove (long untested) support for old Cython.
  * Stop treating nodoc profile as also nocheck.
  * d/watch: Stop following Aesara, as even 1.x may be incompatible.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 06 Nov 2022 16:06:49 +0000

theano (1.0.5+dfsg-5) unstable; urgency=medium

  * Use terser.  (Closes: #1001030)
  * Enable Salsa CI, but skip the build-time tests there.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 02 Apr 2022 19:52:33 +0100

theano (1.0.5+dfsg-4) unstable; urgency=medium

  * Docs: stop using add_stylesheet.  (Closes: #997382)
  * Tests: use POCL_DEVICES=basic on armel/armhf (workaround for #997908).
  * Add/update Lintian overrides.
  * Update Built-Using.
  * Update d/watch.
  * Add missing build-dependencies for PDF documentation.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 14 Nov 2021 13:47:39 +0000

theano (1.0.5+dfsg-3) unstable; urgency=medium

  * Tests: stop using clblas and skip-not-installable.  (Closes: #993107)
  * Bump Standards-Version to 4.6.0 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 29 Aug 2021 15:25:55 +0100

theano (1.0.5+dfsg-2) unstable; urgency=medium

  * Allow cross-building.  (Closes: #980485)  Thanks to Helmut Grohne.
  * Bump Standards-Version to 4.5.1 (no changes needed).
  * Upstream have moved.  Update watch file.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 06 Feb 2021 13:35:30 +0000

theano (1.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release (by a new maintainer).  Drop/refresh patches.
  * Update d/copyright.
  * Use uglifyjs.terser (see #968137).
  * Don't skip sympy-using tests.
  * Bump debhelper compat to 13.
  * Don't use /usr/lib/python3/dist-packages/bin.  (Closes: #967006)
  * Run autopkgtests on the installed module not the source tree.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 16 Aug 2020 13:33:47 +0100

theano (1.0.4+dfsg-3) unstable; urgency=medium

  * Use packaged (but still build-time copied) dagre* and graphlib.
  * Embedded graphlib-dot: update, verbose build, run tests,
    fix build with pegjs 0.10 (Closes: #959758).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 06 May 2020 22:59:23 +0100

theano (1.0.4+dfsg-2) unstable; urgency=medium

  * Allow building with Sphinx 2.  (Closes: #955065)
  * Fix SyntaxWarnings.  (Closes: #950463)
  * Bump Standards-Version to 4.5.0 (no changes needed).
  * Fix exceptions / test failures with current numpy and scipy.
  * Fail the build on test failures.  With the above, Closes: #955471.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 02 Apr 2020 18:48:22 +0100
