=== debian/watch ===
version=4
# old upstream (current package)
opts="filenamemangle=s/(?:.*)rel-(\d[\d\.]+)\.tar\.gz/theano-$1.tar.gz/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//" \
https://github.com/theano/theano/releases (?:.*/)?rel-(\d[\d\.]+)\.tar\.gz
# new upstream (not in use because even 1.x might break compatibility)
# 1.x only (in experimental) https://github.com/aesara-devs/aesara/tags?after=rel-2.0.0 .*/rel-(1[\d\.]+)\.tar\.gz
# current (2.x - should probably be a new 'aesara' package if it is to be packaged at all)
# https://github.com/aesara-devs/aesara/tags .*/rel-(1[\d\.]+)\.tar\.gz
